/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.oabuy.service;

import java.util.List;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.jeeplus.common.persistence.Page;
import com.jeeplus.common.service.CrudService;
import com.jeeplus.modules.oabuy.entity.OaBuy;
import com.jeeplus.modules.oabuy.dao.OaBuyDao;

/**
 * 采购申请Service
 * @author liuw
 * @version 2018-01-16
 */
@Service
@Transactional(readOnly = true)
public class OaBuyServicess extends CrudService<OaBuyDao, OaBuy> {

	public OaBuy get(String id) {
		return super.get(id);
	}
	
	public List<OaBuy> findList(OaBuy oaBuy) {
		return super.findList(oaBuy);
	}
	
	public Page<OaBuy> findPage(Page<OaBuy> page, OaBuy oaBuy) {
		return super.findPage(page, oaBuy);
	}
	
	@Transactional(readOnly = false)
	public void save(OaBuy oaBuy) {
		super.save(oaBuy);
	}
	
	@Transactional(readOnly = false)
	public void delete(OaBuy oaBuy) {
		super.delete(oaBuy);
	}
	
	
	
	
}